### Function

# Foundry json_parser_load_from_stream

#### Declaration [src]

    DexFuture*
    foundry_json_parser_load_from_stream (
      JsonParser* parser,
      GInputStream* stream
    )

#### Description [src]

Like `json_parser_load_from_stream()` but asynchronous and returns a `DexFuture` which can be awaited upon.

#### Parameters

`parser`

  Type: `JsonParser`

  A `JsonParser`.

  The data is owned by the caller of the function.

`stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.